.Dd December 14, 2018
.Dt fsapfsmount
.Os libfsapfs
.Sh NAME
.Nm fsapfsmount
.Nd mounts an Apple File System (APFS) volume
.Sh SYNOPSIS
.Nm fsapfsmount
.Op Fl f Ar file_system_index
.Op Fl o Ar offset
.Op Fl p Ar password
.Op Fl r Ar password
.Op Fl hvV
.Va Ar source
.Sh DESCRIPTION
.Nm fsapfsmount
is a utility to mount an n Apple File System (APFS) volume
.Pp
.Nm fsapfsmount
is part of the
.Nm libfsapfs
package.
.Nm libfsapfs
is a library to access the n Apple File System (APFS) format
.Pp
.Ar source
is the source file.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl f Ar file_system_index
mounts a specific file system or "all"
.It Fl h
shows this help
.It Fl o Ar offset
specify the volume offset in bytes
.It Fl p Ar password
specify the password
.It Fl r Ar password
specify the recovery password
.It Fl v
verbose output to stderr
.It Fl V
print version
.It Fl X Ar extended_options
extended options to pass to sub system
.El
.Sh ENVIRONMENT
None
.Sh FILES
None
.Sh EXAMPLES
.Bd -literal
# fsapfsmount -f 1 -p Password /dev/sda1
fsapfsmount 20181214

.Ed
.Sh DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output \-v is enabled.
Verbose and debug output are only printed when enabled at compilation.
.Sh BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website:
https://github.com/libyal/libfsapfs/
.Sh AUTHOR
These man pages were written by Joachim Metz.
.Sh COPYRIGHT
Copyright (C) 2018-2019, Joachim Metz <joachim.metz@gmail.com>.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
.Sh SEE ALSO
.Xr fsapfsinfo 1
